UbuntuUpdates.org

Package "plasma-workspace"

This package belongs to a PPA: Kubuntu-ppa Backports

Name: plasma-workspace

Description:

Plasma Workspace for KF5

Latest version: 4:5.8.9-0ubuntu1~ubuntu16.04~ppa1
Release: xenial (16.04)
Level: base
Repository: main

Links

Save this URL for the latest version of "plasma-workspace": https://www.ubuntuupdates.org/plasma-workspace


Download "plasma-workspace"


Other versions of "plasma-workspace" in Xenial

Repository Area Version
base universe 4:5.5.5.2-0ubuntu1
security universe 4:5.5.5.2-0ubuntu1.1
updates universe 4:5.5.5.2-0ubuntu1.1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 4:5.8.9-0ubuntu1~ubuntu16.04~ppa1 2018-03-11 13:08:21 UTC

 plasma-workspace (4:5.8.9-0ubuntu1~ubuntu16.04~ppa1) xenial; urgency=medium
 .
   [ José Manuel Santamaría Lema ]
   * New upstream release (5.8.6)
   * Delete fix-plasma-high-CPU-load-with-animatations.patch, applied upstream.
   * Update installed files.
   * New upstream release (5.8.7)
   * New upstream release (5.8.9)
 .
   [ Simon Quigley ]
   * New upstream release (5.8.8)
 .
   [ Rik Mills ]
   * Install new appstream files
   * Update lintian overrides
   * Update symbols from build logs

Source diff to previous version

Version: 4:5.8.8-0ubuntu1.1~ubuntu16.04~ppa1 2018-02-13 21:08:45 UTC

 plasma-workspace (4:5.8.8-0ubuntu1.1~ubuntu16.04~ppa1) xenial; urgency=medium
 .
   * SECURITY UPDATE: Plasma Desktop: Arbitrary command execution in the
     removable device
     - debian/patches/CVE-2018-6791.patch
       Make sure device paths are quoted
     - CVE-2018-6791
   * SECURITY UPDATE: Plasma: Notifications can expose user IP address
     - debian/patches/CVE-2018-6790.patch
       Sanitise notification HTML
     - CVE-2018-6790

Source diff to previous version
CVE-2018-6791 An issue was discovered in soliduiserver/deviceserviceaction.cpp in KDE Plasma Workspace before 5.12.0. When a vfat thumbdrive that contains `` or $(
CVE-2018-6790 An issue was discovered in KDE Plasma Workspace before 5.12.0. dataengines/notifications/notificationsengine.cpp allows remote attackers to discover

Version: 4:5.8.8-0ubuntu1~ubuntu16.04~ppa2 2017-11-04 21:08:27 UTC

 plasma-workspace (4:5.8.8-0ubuntu1~ubuntu16.04~ppa2) xenial; urgency=medium
 .
   [ José Manuel Santamaría Lema ]
   * New upstream release (5.8.6)
   * Delete fix-plasma-high-CPU-load-with-animatations.patch, applied upstream.
   * Update installed files.
   * New upstream release (5.8.7)
 .
   [ Simon Quigley ]
   * New upstream release (5.8.8)
 .
   [ Rik Mills ]
   * Install new appstream files
   * Update lintian overrides
   * Update symbols from build logs

Source diff to previous version

Version: 4:5.8.7-0ubuntu1~ubuntu16.04~ppa2 2017-06-05 08:08:27 UTC

 plasma-workspace (4:5.8.7-0ubuntu1~ubuntu16.04~ppa2) xenial; urgency=low
 .
   * New upstream release (5.8.6)
   * Delete fix-plasma-high-CPU-load-with-animatations.patch, applied upstream.
   * Update installed files.
   * New upstream release (5.8.7)

Source diff to previous version

Version: 4:5.8.6-0ubuntu1~ubuntu16.04~ppa2 2017-05-13 22:07:32 UTC

 plasma-workspace (4:5.8.6-0ubuntu1~ubuntu16.04~ppa2) xenial; urgency=low
 .
   * New upstream release (5.8.6)
   * Delete fix-plasma-high-CPU-load-with-animatations.patch, applied upstream.
   * Update installed files.




About   -   Send Feedback to @ubuntu_updates